tblls(1M)

NAME
tblls - displays information about administrative tables and their contents

SYNOPSIS

tblls [-n NIS+|NIS|NONE] [-d domain | -h host] tblls [-n NIS+|NIS|NONE] [-d domain | -h host]
[ -f ] table_name tblls [-n NIS+|NIS|NONE] [-d domain | -h host]
-p primary_key_value [-s secondary_key_value]
table_name

DESCRIPTION
The Solstice tblls command displays information about administrative tables and their contents. If no table name is specified, a list of available tables is displayed. If a table name is specified but no key values are specified, the complete table contents are listed unless the -f option is selected. With the -f option, just the field names of the specified table are listed. If key value(s) are specified, the entry matching the keys from the specified table is listed.

OPTIONS

-n NIS+|NIS|NONE
    The name service containing the table. The default is NONE, which specifies local files.

-d domain
    The name service domain in which the table resides. Not used if name service is NONE. The default is the current domain.

-h host
    The host on which the table file resides. Not used if name service is NIS+ or NIS. The default is the current host.

table_name
    The name of the table being listed.

-p primary_key_value
    The value in the primary key field for the entry being listed. The primary key field can be found using the -f option to tblls(1M).

-s secondary_key_value
    The value in the secondary key field for the entry being listed. (Not all tables have secondary keys.) The secondary key field can be found using the -f option to tblls(1M).

ENVIRONMENT

See environ(5) for descriptions of the following
    environment variables that affect the execution of tblls: LANG, LC_ALL, LC_CTYPE, and LC_MESSAGES.

ERRORS

The tblls command exits with one of the following values:

0   Success.

1   Invalid command syntax. A usage message for the tblls command is displayed.

2   An error occurred while executing the command. An exception code and error message are displayed.

FILES
/etc/passwd
/etc/locale
/etc/ethers
/etc/bootparams
/etc/group
/etc/auto_home
/etc/Policy_defaults
/etc/netgroup
/etc/rpc
/etc/timezone
/etc/inet/hosts
/etc/inet/netmasks
/etc/inet/networks
/etc/inet/services
/etc/inet/protocols
/etc/mail/aliases

SEE ALSO
tbladd(1M), tbldel(1M), tblmod(1M)